View Issue Details

IDProjectCategoryView StatusLast Update
13553Bug reports[All Projects] Survey designpublic2018-06-11 16:30
ReporterDenisChenuAssigned Todominikvitt 
PriorityhighSeverityminor 
Status closedResolutionfixed 
Product Version3.5.x 
Target VersionFixed in Version3.10.x 
Summary13553: Default value not copied when copy question
Description

The default value was not copied when copy a question (via GUI)

Steps To Reproduce

Create a short text question
Set a default value
Save
Copy, ON on all settings
Review new question : default value not set

Additional Information

If all is on, i think user wait default value.
Same issue in 2.73 and before (2.6lts)

Unsure : feature request ? Maybe add a checbox for default value.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.6.0 git
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

guest

guest

2018-06-06 11:45

viewer   ~48003

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27340

dominikvitt

dominikvitt

2018-06-06 11:46

developer   ~48004

Created "Copy default answers" switch option on Copy question page

Related Changesets

LimeSurvey: master fd1bda4f

2018-06-06 11:45:13

Dominik Vitt

Details Diff
Fixed issue 13553: Default value not copied when copy question

Created "Copy default answers" switch option on Copy question page
Affected Issues
13553
mod - application/controllers/admin/database.php Diff File
mod - application/views/admin/survey/Question/editQuestion_view.php Diff File

Issue History

Date Modified Username Field Change
2018-03-29 14:31 DenisChenu New Issue
2018-05-23 10:51 LouisGac Assigned To => LouisGac
2018-05-23 10:51 LouisGac Status new => assigned
2018-05-23 12:55 LouisGac Priority none => high
2018-06-04 14:47 LouisGac Assigned To LouisGac => dominikvitt
2018-06-06 11:45 Changeset attached => LimeSurvey master fd1bda4f
2018-06-06 11:45 guest Note Added: 48003
2018-06-06 11:45 guest Resolution open => fixed
2018-06-06 11:46 dominikvitt Status assigned => resolved
2018-06-06 11:46 dominikvitt Fixed in Version => 3.8.x
2018-06-06 11:46 dominikvitt Note Added: 48004
2018-06-11 16:30 markusfluer Status resolved => closed
2018-06-11 16:30 markusfluer Fixed in Version 3.8.x => 3.10.x